﻿#nullable enable

using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using System.Threading;
using System.Threading.Tasks;
using LinqToDB;
using UserService.DatabaseLayer.DataModels;
using UserService.Infrastructure.DataModels;

namespace UserService.DatabaseLayer.Repositories
{
    public class SecurityGroupsRepository :  ISecurityGroupsRepository
    {
        public Task<IReadOnlyList<SecurityGroup>> GetAllAsync(Expression<Func<NodeModel, bool>>? predicate = null, CancellationToken token = default)
        {

            throw new NotImplementedException();
        }

        public Task<SecurityGroup?> GetAsync(Expression<Func<NodeModel, bool>> predicate, CancellationToken token = default)
        {
            throw new NotImplementedException();
        }

        public Task<int> AddAsync(SecurityGroup entity, CancellationToken token = default)
        {
            throw new NotImplementedException();
        }

        public Task<bool> UpdateAsync(SecurityGroup entity, CancellationToken token = default)
        {
            throw new NotImplementedException();
        }

        public async Task DeleteAsync(SecurityGroup entity, CancellationToken token = default)
        {
            await using var db = new UserService2DB();
            await db.NodeModels.DeleteAsync(x => x.Id == entity.Id, token).ConfigureAwait(false);
        }
    }
}